Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface DependsOnType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  DependsOnTypeImpl

    public interface DependsOnType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `depends-onType` xsd type

Original Documentation:

The depends-onType is used to express initialization
ordering dependencies between Singleton components.
The depends-onType specifies the names of one or more
Singleton beans in the same application as the referring
Singleton, each of which must be initialized before
the referring bean.
Each dependent bean is expressed using ejb-link syntax.
The order in which dependent beans are initialized at
runtime is not guaranteed to match the order in which
they are listed.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getEjbNameList()` Returns all `ejb-name` elements
`DependsOnType<T>` | `removeAllEjbName()` Removes the `ejb-name` element
`DependsOnType<T>` | `setEjbName(java.lang.String ejbName)` Creates a new `ejb-name` element
`DependsOnType<T>` | `setEjbNameList(java.lang.String... values)` Creates for all String objects representing `ejb-name` elements, a new `ejb-name` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setEjbName

    DependsOnType<T> setEjbName(java.lang.String ejbName)

  Creates a new `ejb-name` element

  Returns:
    the current instance of `DependsOnType`

### setEjbNameList

    DependsOnType<T> setEjbNameList(java.lang.String... values)

  Creates for all String objects representing `ejb-name` elements, a new `ejb-name` element

  Parameters:
    `list` - of `ejb-name` objects
  Returns:
    the current instance of `DependsOnType`

### removeAllEjbName

    DependsOnType<T> removeAllEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `DependsOnType`

### getEjbNameList

    java.util.List<java.lang.String> getEjbNameList()

  Returns all `ejb-name` elements

  Returns:
    list of `ejb-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD